/*
 * RegularAccount.h
 *
 *  Created on: 2010-07-29
 *      Author: Chang
 */

#ifndef REGULARACCOUNT_H_
#define REGULARACCOUNT_H_

#include "BankAccount.h"
#include <iostream>

/*
 * Implements abstract base class BankAccount's
 * pure virtual functions to model specific
 * behaviour
 */
class RegularAccount : public BankAccount{
public:
	RegularAccount() {}
	void Deposit(int);
private:
	static int maxLimit_;
	void Approve(int);
	void Disapprove();
	int MaxLimit();	
};

#endif /* REGULARACCOUNT_H_ */
